version: "3"

networks:
  application:
    driver: bridge

volumes:
  mongo_storage: {}

services:

  telegram-bot:
    image: telegram-bot-backend
    build: .
    command: ./run.sh
    volumes: ['./:/code']
    env_file:
      - ./.env
    environment:
      - "PYTHONUNBUFFERED=1"
      - "LOAD_ENV=False"
    ports:
      - "5000:5000"
    networks:
      - application

  mongo:
    image: mongo
    env_file:
      - ./.env
    ports:
      - "27018:27017"
    volumes:
      - mongo_storage:/data/db
    networks:
      - application

